# Historically, commerical Unix systems derived from AT&T System V
# would provide software that originated at the University of
# California Berkeley in the /usr/ucb directory.  Some systems used
# /usr/bsd.  This package uses the /usr/ucb directory as the bindir as
# that's how older Unix systems did it.
%define _bindir %{_prefix}/ucb
%define _sbindir %{_bindir}

Name:           bsdutils
Version:        13.1
Release:        0.1.202402231548git96e360e%{?dist}
Summary:        Userspace commands from FreeBSD
Group:          Development/Tools
License:        BSD-2-Clause AND BSD-3-Clause
URL:            https://github.com/dcantrell/bsdutils
Source0: bsdutils-13.1-202402231548git96e360e.tar.xz

BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  ncurses-devel
BuildRequires:  libedit-devel
BuildRequires:  openssl-devel
BuildRequires:  libxo-devel
BuildRequires:  gnupg2


%description
Build deviation and compliance tool.  This program runs a number of tests
against one or two builds of source RPM files.  The built artifacts are
inspected and compared to report changes and validate policy compliance
against the defined parameters.


%prep
%autosetup -n bsdutils-13.1-202402231548git96e360e


%build
%meson
%meson_build


%install
%meson_install

# Put all man pages in *b sections
cd %{buildroot}%{_mandir}
for section in 1 6 7 8 ; do
    cd man"${section}"
    for page in *."${section}" ; do
        if [ -L "${page}" ]; then
            target="$(readlink "${page}")"
            ln -sf "${target}"b "${page}"b
            rm "${page}"
        else
            mv "${page}" "${page}"b
            sed -i -e '/^\.Dt/ s/$/B/' "${page}"b
        fi
    done
    cd ..
done
cd ..


%files
%doc AUTHORS.md DIFFERENCES README.md TODO TRADEOFFS
%license COPYRIGHT LICENSE
%{_bindir}/*
%{_mandir}/man1/*.1b*
%{_mandir}/man6/*.6b*
%{_mandir}/man7/*.7b*
%{_mandir}/man8/*.8b*
%{_datadir}/misc/bc.library


%changelog
* Fri Feb 23 2024 David Cantrell <dcantrell@burdell.org> - 13.1-202402231548git96e360e
- Build bsdutils-13.1-202402231548git96e360e snapshot
